extern void lcd_init(void);         //Initialize LCD

extern void lcd_setaddress(unsigned char Spalte, unsigned char Zeile);

extern void lcd_writebyte(unsigned char byte);

extern void lcd_writecom(unsigned char byte);

extern void lcd_string (unsigned const char Text[]);

extern void lcd_writechar (unsigned char byte);

extern void lcd_stringr (unsigned char Text[]);

extern void lcd_BCD (unsigned char zahl);

extern void lcd_BCDint (unsigned int zahl);

extern void lcd_clear(void);


#define lcd_string_P(__s)       lcd_string(P(__s))

#ifndef P
#define P(s) ({static const char c[] __attribute__ ((progmem)) = s;c;})
#endif

#ifndef cbi
#define cbi(sfr, bit)     (_SFR_BYTE(sfr) &= ~_BV(bit)) 
#endif
#ifndef sbi
#define sbi(sfr, bit)     (_SFR_BYTE(sfr) |= _BV(bit))  
#endif
